olad(1)

NAME
olad - The Open Lighting Architecture Daemon

SYNOPSIS
olad [options]

DESCRIPTION
olad is the Open Lighting Architecture (OLA) daemon. It handles communication with DMX512 / RDM hardware devices and remote network hosts via various lighting control protocols.

OPTIONS

-c, --config-dir <string>
    The path to the config directory, defaults to ~/.ola/ on *nix and %LOCALAPPDATA%.ola on Windows.

-d, --http-data-dir <string>
    The path to the static www content.

-f, --daemon
    Fork and run as a background process.

-h, --help
    Display the help message

-i, --interface <string>
    The interface name (e.g. eth0) or IP address of the network interface to use for the web server.

-l, --log-level <int8_t>
    Set the logging level 0 .. 4. See LOGGING.

-p, --http-port <uint16_t>
    The port to run the HTTP server on. Defaults to 9090.

-r, --rpc-port <uint16_t>
    The port to listen for RPCs on. Defaults to 9010.

-v, --version
    Print olad version information

--no-http
    Disable the HTTP server.

--no-http-quit
    Disable the HTTP /quit handler.

--no-register-with-dns-sd
    Don't register the web service using DNS-SD (Bonjour).

--no-use-async-libusb
    Disable the use of the asynchronous libusb calls, revert to synchronous

--no-use-epoll
    Disable the use of epoll(), revert to select()

--no-use-kqueue
    Disable the use of kqueue(), revert to select()

--pid-location <string>
    The directory containing the PID definitions.

--scheduler-policy <policy>
    The thread scheduling policy, one of {fifo, rr}.

--scheduler-priority <priority>
    The thread priority, only used if --scheduler-policy is set.

--syslog
    Send to syslog rather than stderr.

LOGGING
olad can either log to stderr(4) or syslog(5). Each log level includes those of higher severity.

0   No logging.

1   Fatal logging.

2   Warnings.

3   Informational logging.

4   Debug logging.

SIGNALS
Once running, the following signals control the behavior of olad:

SIGHUP
    Reloads the plugins.

SIGUSR1
    Increases the logging level, eventually wrapping

SEE ALSO
ola_dmxconsole(1), ola_dmxmonitor(1),